<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="d-flex flex-row flex-nowrap h-100 bg-light">

  <nav
    id="sidebar"
    class="d-flex flex-column overflow-hidden shadow"
    [ngClass]="{'collapsed': navbarCollapsed}">

    <!-- Navbar header -->

    <div class="pt-5 px-2 d-flex d-inline-flex title-border border-white">
      <fa-icon
        size="lg"
        class="me-3"
        [icon]="wrenchIcon"
        [fixedWidth]="true">
      </fa-icon>
      <span
        class="fw-bold"
        [innerText]="messages.ADMINISTRATION">
      </span>
    </div>

    <!-- Global Navbar elements -->

    <ul
      *ngIf="isSuperAdmin"
      class="pt-5 list-group list-group-flush">
      <ng-container *ngFor="let menuRow of globalMenuRows">
        <li
          class="list-group-item text-nowrap px-2"
          [routerLinkActive]="'active'"
          [routerLink]="menuRow.route">
          <fa-icon
            size="lg"
            class="me-3"
            [icon]="menuRow.icon"
            [fixedWidth]="true">
          </fa-icon>
          <span [innerText]="menuRow.label"></span>
        </li>
      </ng-container>
    </ul>

    <!-- Tenant Navbar elements -->

    <div class="form-group mt-4 px-2 tenant-selector-div">
      <div
        class="fw-bold mb-3"
        *ngIf="!navbarCollapsed && isSuperAdmin"
        [innerText]="messages.TENANT_SELECTOR_LABEL">
      </div>
      <div
        class="fw-bold mb-3 pointer d-flex flex-row"
        *ngIf="navbarCollapsed">
        <fa-icon
          size="lg"
          [icon]="tenantIcon"
          [fixedWidth]="true">
        </fa-icon>
        <fa-icon
          size="lg"
          class="right-arrow-icon-tenant-selection"
          [icon]="arrowRightIcon"
          [fixedWidth]="true">
        </fa-icon>
      </div>

      <!--suppress HtmlFormInputWithoutLabel -->
      <div
        id="tenant-selection-menu"
        [ngClass]="{'navbar-collapsed': navbarCollapsed}">
        <div
          class="fw-bold mb-3"
          *ngIf="navbarCollapsed"
          [innerText]="messages.TENANT_SELECTOR_LABEL">
        </div>
        <ng-select
          id="type"
          name="type"
          class="mt-2"
          [(ngModel)]="selectedTenant"
          [clearable]="false"
          [compareWith]="compareByIdFn"
          [notFoundText]="commonMessages.NOT_FOUND"
          (ngModelChange)="onTenantSelectionChanged($event)"
          [virtualScroll]="false"
          required>
          <ng-option
            *ngFor="let tenant of tenantList"
            [value]="tenant">
            <app-smart-shrink
              [text]="tenant.name | namePipe">
            </app-smart-shrink>
          </ng-option>
        </ng-select>
      </div>

    </div>

    <ul class="list-group list-group-flush">
      <li
        *ngFor="let menuRow of activeTenantMenuRows"
        class="list-group-item text-nowrap px-2"
        [ngClass]="{
          'disabled_link': !selectedTenant,
          'active': rla.isActive && !!selectedTenant
        }"
        #rla="routerLinkActive"
        [routerLinkActive]="''"
        [routerLink]="!!selectedTenant ? [selectedTenant?.id, menuRow.route] : null">
        <fa-icon
          size="lg"
          class="me-3"
          [icon]="menuRow.icon"
          [fixedWidth]="true"></fa-icon>
        <span [innerText]="menuRow.label"></span>
      </li>

    </ul>

    <!-- Footer -->

    <div class="flex-grow-1 d-flex flex-row-reverse align-items-end">
      <button
        type="button"
        class="float-end btn btn-outline- p-3"
        style="margin-right: 0.1rem"
        (click)="navbarCollapsed = !navbarCollapsed">
        <fa-icon
          class="fa-lg"
          [icon]="navbarCollapsed ? angleDoubleRightIcon : angleDoubleLeftIcon">
        </fa-icon>
      </button>
    </div>

  </nav>

  <!-- Page Content  -->

  <div class="flex-grow-1">
    <router-outlet></router-outlet>
  </div>

</div>
